package com.scbfkj.uni.api;

import com.scbfkj.uni.ControllerBaseTest;
import org.junit.jupiter.api.Test;
import org.springframework.http.MediaType;
import org.springframework.test.web.servlet.request.MockMvcRequestBuilders;
import org.springframework.test.web.servlet.result.MockMvcResultHandlers;
import org.springframework.test.web.servlet.result.MockMvcResultMatchers;

import static org.junit.jupiter.api.Assertions.*;

class GenericApiTest extends ControllerBaseTest {

    @Test
    void matchService() throws Exception {
        mockMvc.perform(MockMvcRequestBuilders.post("/openApi/hello").contentType(MediaType.APPLICATION_JSON_VALUE).content("{}"))
                .andExpect(MockMvcResultMatchers.status().is4xxClientError())

                .andDo(MockMvcResultHandlers.print());
    }
}